"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = exports.Utterances = void 0;

var _react = _interopRequireWildcard(require("react"));

var _core = require("@emotion/core");

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function _getRequireWildcardCache() { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; if (obj != null) { var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _templateObject() {
  var data = _taggedTemplateLiteral(["\n        & .utterances {\n          maxwidth: 950px;\n        }\n      "]);

  _templateObject = function _templateObject() {
    return data;
  };

  return data;
}

function _taggedTemplateLiteral(strings, raw) { if (!raw) { raw = strings.slice(0); } return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var Utterances = function Utterances(_ref) {
  var repo = _ref.repo,
      _ref$issueTerm = _ref.issueTerm,
      issueTerm = _ref$issueTerm === void 0 ? "pathname" : _ref$issueTerm,
      _ref$label = _ref.label,
      label = _ref$label === void 0 ? "" : _ref$label,
      _ref$theme = _ref.theme,
      theme = _ref$theme === void 0 ? "github-light" : _ref$theme,
      _ref$crossOrigin = _ref.crossOrigin,
      crossorigin = _ref$crossOrigin === void 0 ? "anonymous" : _ref$crossOrigin,
      _ref$async = _ref.async,
      async = _ref$async === void 0 ? true : _ref$async;

  var rootElm = _react["default"].createRef();

  (0, _react.useEffect)(function () {
    var utterances = document.createElement("script");
    var config = {
      src: "https://utteranc.es/client.js",
      repo: repo,
      "issue-term": issueTerm,
      label: label,
      theme: theme,
      crossorigin: crossorigin,
      async: async
    };
    Object.keys(config).forEach(function (key) {
      utterances.setAttribute(key, config[key]);
    });
    rootElm.current.appendChild(utterances);
  }, []);
  return _react["default"].createElement("div", {
    id: "utterances_container",
    ref: rootElm,
    className: (0, _core.css)(_templateObject())
  });
};

exports.Utterances = Utterances;
var _default = Utterances;
exports["default"] = _default;